org.apache.lucene.search

## Class FieldComparatorSource

- java.lang.Object
- - org.apache.lucene.search.FieldComparatorSource

- All Implemented Interfaces:
    java.io.Serializable
  Direct Known Subclasses:
    DistanceFieldComparatorSource

      public abstract class FieldComparatorSource
      extends java.lang.Object
      implements java.io.Serializable

  Provides a `FieldComparator` for custom field sorting. NOTE: This API is experimental and might change in incompatible ways in the next release.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FieldComparatorSource()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `abstract FieldComparator` | `newComparator(java.lang.String fieldname, int numHits, int sortPos, boolean reversed)` Creates a comparator for the field in the given index.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FieldComparatorSource

          public FieldComparatorSource()

  - ### Method Detail

    - #### newComparator

          public abstract FieldComparator newComparator(java.lang.String fieldname,
                                                        int numHits,
                                                        int sortPos,
                                                        boolean reversed)
                                                 throws java.io.IOException

      Creates a comparator for the field in the given index.
      Parameters:
        `fieldname` - Name of the field to create comparator for.
      Returns:
        FieldComparator.
      Throws:
        `java.io.IOException` - If an error occurs reading the index.

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.